Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87896 - gcc crashes when trying to compile anything
Summary: gcc crashes when trying to compile anything
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 8.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-03 16:29 UTC by Jason Cave
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-03 19:25:46 UTC


Attachments (Terms of Use)

Description Jason Cave 2003-04-03 16:29:16 UTC
Description of problem:
I noticed this in the search while compiling
other programs.  I tend to get it on all the
programs I try to compile:
cc1: warning: changing search order for system directory "/usr/include"
cc1: warning:   as it has already been specified as a non-system directory
/root/work/php-4.3.1/ext/gd/gd.c: In function `zif_imagecreatefromstring':
/root/work/php-4.3.1/ext/gd/gd.c:1211: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [ext/gd/gd.lo] Error 1

Version-Release number of selected component (if applicable):
gcc 3.2

How reproducible:
It happens whenever I try
to recompile.

Steps to Reproduce:
1.
2.
3.
    
Actual results:
cc1: warning: changing search order for system directory "/usr/include"
cc1: warning:   as it has already been specified as a non-system directory
/root/work/php-4.3.1/ext/gd/gd.c: In function `zif_imagecreatefromstring':
/root/work/php-4.3.1/ext/gd/gd.c:1211: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [ext/gd/gd.lo] Error 1

Expected results:
Compiling without errors.

Additional info:

Comment 1 Michael Lee Yohe 2003-04-03 19:02:58 UTC
These types of errors tend to be common on ailing machines.  You may want to run
some hardware checks (memtest86, for example) to see if your machine can handle
a stress test.

Also, please provide the output of "dmesg" and "lsmod" to this bug so that we
can see the runtime output from the kernel (and its services) with regards to
operating on your machine.

Comment 2 Richard Henderson 2004-10-03 19:25:46 UTC
No test case and no pointer to test case.


Note You need to log in before you can comment on or make changes to this bug.